#include <QApplication>
#include <QPainter>
#include <QPen>
#include <QWidget>
#include <QDebug>


static QString description()
{
    QString t  = QT_VERSION_STR;
#if QT_VERSION >= 0x050000
    t += QLatin1Char(' ') + QGuiApplication::platformName();
#endif
    return t;
}
class TextRenderer : public QWidget
{
public:
    TextRenderer(QWidget *parent = 0)
        : QWidget(parent)
    {}

    void paintEvent(QPaintEvent *)
    {
        QPainter p(this);

        p.setPen(Qt::red); // <= red

        const QFont f1("Verdana");
        p.setFont(f1);
        p.drawText(0, 10, f1.family());

        const QFont f2("Segoe UI Emoji"); // <= red is ignored, appears black
        p.setFont(f2);
        p.drawText(0, 30, f2.family());
    }
};

int main(int argc, char *argv[])
{
    QApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QApplication a(argc, argv);
    QString ds = description();
    qDebug() << ds;

    TextRenderer t;
    t.setWindowTitle(ds);
    t.show();

    return a.exec();
}
